Calculate Forum

Problème de mise à jour

Bonjour à tous,
Je rencontre de nouveau un problème avec la mise à jour de mon système.
Message d’erreur par méthode graphique ou par terminal. (voir image)
Avez vous une idée?


D’avance merci.

Bonjour buz,
J’ai rencontré le même problème. J’ai lancé la commande sudo emerge -auvDN --quiet-build=y --with-bdeps=y @world
Cà mouline en ce moment les 730 paquets de la mise à jour.

Bonjour Lautrec et merci pour ton retour mais malheureusement ça n’a pas fonctionné.
D’autres pistes ?

judging by the screenshot you need to do

echo "=sys-apps/portage-2.3.100 ~amd64" | sudo tee -a /etc/portage/package.accept_keywords

Hi
Thanks for the advice but it doesn’t work

Hi @buz,
I think that @In_Interactive nearly got it right. In Calculate Linux, /etc/portage/package.accept_keywords is a directory, not a file; therefore, you may need to create a file such as portage within that directory (or perhaps modify its custom file):

sudo touch /etc/portage/package.accept_keywords/portage
echo "sys-apps/portage ~amd64" | sudo tee -a /etc/portage/package.accept_keywords/portage

Also, note that the last line in my suggestion does not specify portage version 2.3.100, so it is more generalized for future versions, in case that is ok.

Hi HoorayCalculate,
Thanks for your help
I simply deleted portage and I was able to update.
Radical but effective!

© 2007-2020 Calculate Ltd.
Mastodon Mastodon